START TRANSACTION;
USE `openidm`;
UPDATE `openidm`.`internaluser` SET pwd = 'CHANGEIT' WHERE objectid = 'openidm-admin';

-- openidm-client-test
INSERT INTO `openidm`.`internaluser` (`objectid`, `rev`, `pwd`, `roles`) 
VALUES ('openidm-client-test', '0', 'CHANGEIT', '[{"_ref" : "repo/internal/openidm-authorized"} , {"_ref" : "repo/internal/tester"}]');
INSERT INTO `openidm`.`internalrole` (`objectid`, `rev`, `description`)
VALUES ('tester', '0', 'Tester');

-- client-logon used by cclogon
INSERT INTO `openidm`.`internaluser` (`objectid`, `rev`, `pwd`, `roles`) 
VALUES ('openidm-client-logon', '0', 'CHANGEIT', '[{"_ref" : "repo/internal/openidm-authorized"}, {"_ref" : "repo/internal/client-logon"}]');
INSERT INTO `openidm`.`internalrole` (`objectid`, `rev`, `description`)
VALUES ('client-logon', '0', 'CCLogon');

-- openidm-client-servicedesk
INSERT INTO `openidm`.`internaluser` (`objectid`, `rev`, `pwd`, `roles`) 
VALUES ('openidm-client-servicedesk', '0', 'CHANGEIT', '[{"_ref" : "repo/internal/openidm-authorized"}, {"_ref" : "managed/role/servicedesk"}]');

COMMIT;

DROP FUNCTION IF EXISTS FORMAT_NAME;
CREATE FUNCTION FORMAT_NAME(name TEXT)
  RETURNS TEXT
  RETURN REPLACE(name, '-', ' ');
  
-- function SIMILAR_NAME
DROP FUNCTION IF EXISTS SIMILAR_NAME;

DELIMITER //

CREATE FUNCTION SIMILAR_NAME(name1 TEXT, name2 TEXT)
  RETURNS BOOL
BEGIN
  DECLARE n1 VARCHAR(50);
  DECLARE n2 VARCHAR(50);
  SET n1 = FORMAT_NAME(name1);
  SET n2 = FORMAT_NAME(name2);
  IF n1 LIKE n2 THEN
    RETURN TRUE;
  END IF;
  IF INSTR(n1, n2) > 0 THEN
    RETURN TRUE;
  END IF;
  IF INSTR(n2, n1) > 0 THEN
    RETURN TRUE;
  END IF;
  RETURN FALSE;  
END //