var policy = { "policyId" : "username-valid",
"policyExec" : "userNameValid",
"policyRequirements" : ["USERNAME_VALID"]
};
 
addPolicy(policy);
 
function userNameValid(fullObject, value, params, property) {

    if (value && value.length) {
		if (typeof(fullObject["identityStatus"]) === "undefined") {
			fullObject["identityStatus"] = "new";
		}
    	var queryParams,existing,requestId;
        queryParams = {
            "_queryFilter": property + ' eq "' + value + '"'
        };

        requestId = resourcePath.leaf();
        existing = openidm.query(resourcePath.parent().toString(), queryParams);

        if (existing.result.length !== 0 && (!requestId || (existing.result[0]._id != requestId))) {
        	if (fullObject["identityStatus"] == "new") {
        		return [{"policyRequirement": "UNIQUE"}];
			}
	    } else {
			if (fullObject["identityStatus"] != "new") {
				return [{"policyRequirement": "USERNAME_VALID"}];
			}
	    }
	}
	return [];
} 
