/** 
 * Prevents users from being deleted that are currently executives of organizations or collaborations
 */

/* TODO: check if this is done by "_ref" */

var orgs,
    query = {
        "_queryId": "get-by-field-value", 
        "field": "executive",
        "value": "managed/user/" + object._id
    };

orgs = openidm.query("managed/organization", query).result;

if (orgs.length > 0) {
    throw {
        "code" : 409,
        "message" : "Cannot delete a user that is currently executive of one or more organizations"
    };
}

orgs = openidm.query("managed/collaboration", query).result;

if (orgs.length > 0) {
    throw {
        "code" : 409,
        "message" : "Cannot delete a user that is currently executive of one or more collaborations"
    };
}
